package zemplen.ui;

import org.eclipse.swt.widgets.Composite;

import zemplen.model.Egyesulet;

import hibergui.Form;
import hibergui.hibernate.HibernateM2OEdit_Combo;

public class EgyesuletCombo extends HibernateM2OEdit_Combo<Egyesulet> {

	public EgyesuletCombo(Form form, Composite cptParent, int style) {
		super(form, cptParent, style, "egyesulet", "egyesület", "nev");
		
		btnAssoc.setText("Egyesületek");
		refresh();
	}

	@Override
	protected Form<Egyesulet> createForm(Composite cptParent, int style) {
		return new EgyesuletForm(cptParent, style);
	}
}
